### Method

# Adw TabPageset_icon

#### Declaration [src]

    void
    adw_tab_page_set_icon (
      AdwTabPage* self,
      GIcon* icon
    )

#### Description [src]

Sets the icon of `self`.

`AdwTabBar` and `AdwTabOverview` display the icon next to the title, unless `AdwTabPage:loading` is set to `TRUE`.

`AdwTabBar` also won’t show the icon if the page is pinned and [propertyTabPage:indicator-icon] is set.

Sets property | `Adw.TabPage:icon`

#### Parameters

`icon`

  Type: `GIcon`

  The icon of `self`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.